Ubuntu

Wireless Card RTL819Xe on a Samsung N150 netbook

Reported by Peter Cooper on 2011-01-27
58
This bug affects 10 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

This card works intermittently and follows a set sequence.

1. On 1st boot the card comes up as disabled.
2. On second boot the card comes up as enabled but will not connect to the wireless network, although it can see the network.
3. On third boot the card works O.K.

 Here is the output of dmesg on first Boot.

=========================================
[ 22.929131] rtl819xE 0000:05:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[ 22.929149] rtl819xE 0000:05:00.0: setting latency timer to 64
[ 23.000709] WARNING: at /build/buildd/linux-2.6.37/include/linux/netdevice.h:1557 rtl8192_pci_probe+0x2eb/0x3b9 [r8192e_pci]()
[ 23.000842] [<f8648679>] ? rtl8192_pci_probe+0x2eb/0x3b9 [r8192e_pci]
[ 23.000870] [<f8648679>] ? rtl8192_pci_probe+0x2eb/0x3b9 [r8192e_pci]
[ 23.000912] [<f8648679>] rtl8192_pci_probe+0x2eb/0x3b9 [r8192e_pci]
[ 23.001158] [<f83390a3>] rtl8192_pci_module_init+0xa3/0xb4 [r8192e_pci]
[ 23.001197] [<f8339000>] ? rtl8192_pci_module_init+0x0/0xb4 [r8192e_pci]
[ 23.717668] rtllib_crypt: registered algorithm 'NULL'
[ 23.717678] rtllib_crypt: registered algorithm 'TKIP'
[ 23.717685] rtllib_crypt: registered algorithm 'CCMP'
[ 23.717691] rtllib_crypt: registered algorithm 'WEP'
[ 24.808336] rtl819xE:ERR in CPUcheck_firmware_ready()
[ 24.808349] rtl819xE:ERR in init_firmware()
[ 24.808359] rtl819xE:ERR!!! _rtl8192_up(): initialization is failed!

===================================================

Here is output of dmesg on Second boot

=====================================================
[ 22.250813] rtl819xE 0000:05:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[ 22.250831] rtl819xE 0000:05:00.0: setting latency timer to 64
[ 22.405211] WARNING: at /build/buildd/linux-2.6.37/include/linux/netdevice.h:1557 rtl8192_pci_probe+0x2eb/0x3b9 [r8192e_pci]()
[ 22.405349] [<f8570679>] ? rtl8192_pci_probe+0x2eb/0x3b9 [r8192e_pci]
[ 22.405377] [<f8570679>] ? rtl8192_pci_probe+0x2eb/0x3b9 [r8192e_pci]
[ 22.405414] [<f8570679>] rtl8192_pci_probe+0x2eb/0x3b9 [r8192e_pci]
[ 22.405685] [<f82750a3>] rtl8192_pci_module_init+0xa3/0xb4 [r8192e_pci]
[ 22.405723] [<f8275000>] ? rtl8192_pci_module_init+0x0/0xb4 [r8192e_pci]
[ 22.907988] rtllib_crypt: registered algorithm 'NULL'
[ 22.909972] rtllib_crypt: registered algorithm 'TKIP'
[ 22.909982] rtllib_crypt: registered algorithm 'CCMP'
[ 22.909989] rtllib_crypt: registered algorithm 'WEP'
[ 52.276380] rtl819xE:ERR in CPUcheck_firmware_ready()
[ 52.276391] rtl819xE:ERR in init_firmware()
[ 52.276401] rtl819xE:ERR!!! NicIFEnableNIC(): initialization is failed!
[ 70.008142] rtl819xE:No more TX desc@6, ring->idx = 0,idx = 0,3b
[ 70.008157] rtl819xE:No more TX desc@6, ring->idx = 0,idx = 0,3b
[ 70.128105] rtl819xE:No more TX desc@6, ring->idx = 0,idx = 0,3b
[ 70.128120] rtl819xE:No more TX desc@6, ring->idx = 0,idx = 0,3b
[ 70.248131] rtl819xE:No more TX desc@6, ring->idx = 0,idx = 0,3b
[ 70.248142] rtl819xE:No more TX desc@6, ring->idx = 0,idx = 0,3b
[ 70.368093] rtl819xE:No more TX desc@6, ring->idx = 0,idx = 0,3b
[ 70.368107] rtl819xE:No more TX desc@6, ring->idx = 0,idx = 0,3b
[ 70.488108] rtl819xE:No more TX desc@6, ring->idx = 0,idx = 0,3b
[ 70.488124] rtl819xE:No more TX desc@6, ring->idx = 0,idx = 0,3b
[ 70.608106] rtl819xE:No more TX desc@6, ring->idx = 0,idx = 0,3b
[ 70.608121] rtl819xE:No more TX desc@6, ring->idx = 0,idx = 0,3b
[ 70.728142] rtl819xE:No more TX desc@6, ring->idx = 0,idx = 0,3b
[ 70.728158] rtl819xE:No more TX desc@6, ring->idx = 0,idx = 0,3b
[ 70.848120] rtl819xE:No more TX desc@6, ring->idx = 0,idx = 0,3b
[ 70.848136] rtl819xE:No more TX desc@6, ring->idx = 0,idx = 0,3b
[ 70.968144] rtl819xE:No more TX desc@6, ring->idx = 0,idx = 0,3b
[ 70.968161] rtl819xE:No more TX desc@6, ring->idx = 0,idx = 0,3b
[ 71.088208] rtl819xE:No more TX desc@6, ring->idx = 0,idx = 0,3b
[ 71.088224] rtl819xE:No more TX desc@6, ring->idx = 0,idx = 0,3b
[ 71.208127] rtl819xE:No more TX desc@6, ring->idx = 0,idx = 0,3b
[ 71.208143] rtl819xE:No more TX desc@6, ring->idx = 0,idx = 0,3b

=====================================================

Here is output of device in dmsg on third boot

========================================================
[ 20.618762] rtl819xE 0000:05:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[ 20.618778] rtl819xE 0000:05:00.0: setting latency timer to 64
[ 20.692093] WARNING: at /build/buildd/linux-2.6.37/include/linux/netdevice.h:1557 rtl8192_pci_probe+0x2eb/0x3b9 [r8192e_pci]()
[ 20.692220] [<f85a6679>] ? rtl8192_pci_probe+0x2eb/0x3b9 [r8192e_pci]
[ 20.692249] [<f85a6679>] ? rtl8192_pci_probe+0x2eb/0x3b9 [r8192e_pci]
[ 20.692290] [<f85a6679>] rtl8192_pci_probe+0x2eb/0x3b9 [r8192e_pci]
[ 20.692475] [<f82740a3>] rtl8192_pci_module_init+0xa3/0xb4 [r8192e_pci]
[ 20.692513] [<f8274000>] ? rtl8192_pci_module_init+0x0/0xb4 [r8192e_pci]
[ 21.427868] rtllib_crypt: registered algorithm 'NULL'
[ 21.427880] rtllib_crypt: registered algorithm 'TKIP'
[ 21.427886] rtllib_crypt: registered algorithm 'CCMP'
[ 21.427892] rtllib_crypt: registered algorithm 'WEP'
[ 25.324061] rtl819xE:Nic is disabled! Can't tx packet len=82 qidx=6!!!
[ 25.324078] rtl819xE:Nic is disabled! Can't tx packet len=82 qidx=6!!!
[ 25.444062] rtl819xE:Nic is disabled! Can't tx packet len=82 qidx=6!!!
[ 25.444077] rtl819xE:Nic is disabled! Can't tx packet len=82 qidx=6!!!
[ 25.564104] rtl819xE:Nic is disabled! Can't tx packet len=82 qidx=6!!!
[ 25.564120] rtl819xE:Nic is disabled! Can't tx packet len=82 qidx=6!!!
[ 25.684093] rtl819xE:Nic is disabled! Can't tx packet len=82 qidx=6!!!
[ 25.684109] rtl819xE:Nic is disabled! Can't tx packet len=82 qidx=6!!!
[ 25.804096] rtl819xE:Nic is disabled! Can't tx packet len=82 qidx=6!!!
[ 25.804108] rtl819xE:Nic is disabled! Can't tx packet len=82 qidx=6!!!

========================================================
---
Architecture: i386
DistroRelease: Ubuntu 11.04
InstallationMedia: Ubuntu-Netbook 10.10 "Maverick Meerkat" - Release i386 (20101007)
Package: linux (not installed)
ProcEnviron:
 LANGUAGE=en_GB:en
 LANG=en_GB.UTF-8
 LC_MESSAGES=en_GB.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.38-1.28-generic 2.6.38-rc2
Regression: Yes
Tags: natty running-unity
Uname: Linux 2.6.38-1-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

---
Architecture: i386
DistroRelease: Ubuntu 11.04
InstallationMedia: Ubuntu-Netbook 10.10 "Maverick Meerkat" - Release i386 (20101007)
Package: linux (not installed)
ProcEnviron:
 LANGUAGE=en_GB:en
 LANG=en_GB.UTF-8
 LC_MESSAGES=en_GB.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.38-3.30-generic 2.6.38-rc4
Regression: Yes
Tags: natty running-unity
Uname: Linux 2.6.38-3-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Peter Cooper (pcooper-gaitor) wrote :
Peter Cooper (pcooper-gaitor) wrote :
Robert Collins (lifeless) wrote :

Peter, you've reported this as a bug on 'Launchpad', which is the bug tracking software, rather than on 'Ubuntu' which I presume is what you intended. I've made a new task on Ubuntu for you, and and closing the 'Launchpad' task (because Launchpad is a website, not part of Ubuntu).

affects: launchpad → null
Changed in null:
status: New → Invalid

Thanks
------------------------------------------------------------------------
*Regards*

      Peter Cooper

Email: <email address hidden>

------------------------------------------------------------------------

On 27/01/11 19:54, Robert Collins wrote:
> Peter, you've reported this as a bug on 'Launchpad', which is the bug
> tracking software, rather than on 'Ubuntu' which I presume is what you
> intended. I've made a new task on Ubuntu for you, and and closing the
> 'Launchpad' task (because Launchpad is a website, not part of Ubuntu).
>
> ** Also affects: ubuntu
> Importance: Undecided
> Status: New
>
> ** Project changed: launchpad => null
>
> ** Changed in: null
> Status: New => Invalid
>

Fabio Marconi (fabiomarconi) wrote :

Hello
can you please update to the latest mainline kernel from:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.38-rc2-natty/
installing _all.deb and image header and image for your architecture.
Thanks
fabio

affects: ubuntu → linux (Ubuntu)
Changed in linux (Ubuntu):
status: New → Incomplete
Peter Cooper (pcooper-gaitor) wrote :

Latest updates seem to have solved the 'device not ready' problem on first boot (although this still happens on resume from suspend). However I am still getting problems with not connecting properly, see attached file.

Changed in linux (Ubuntu):
status: Incomplete → New
tags: added: natty
Fabio Marconi (fabiomarconi) wrote :

Hello
can you please connect your pc by wire and running the latest kernel type in a terminal:
apport-collect 708712
Thanks
Fabio

Changed in linux (Ubuntu):
status: New → Incomplete
Fabio Marconi (fabiomarconi) wrote :

Well, just now i've noted that is upstream the latest update, could you please try it before run apport-collect?
Thanks
Fabio

http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.38-rc3-natty/

tags: added: kernel-wifi
Peter Cooper (pcooper-gaitor) wrote :

Ran apport-collect - not sure if it completed properly as it finished with

hook /usr/share/apport/package-hooks//source_linux-meta.py crashed:
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/apport/report.py", line 636, in add_hooks_info
    symb['add_info'](self, ui)
  File "/usr/share/apport/package-hooks//source_linux-meta.py", line 87, in add_info
    tags.append(regression_tags[regression[0]])
IndexError: list index out of range

(apport-gtk:2282): Gtk-WARNING **: /build/buildd/gtk+2.0-2.24.0/gtk/gtktreestore.c:765: Unable to convert from PyObject to gchararray

tags: added: apport-collected running-unity
description: updated
Fabio Marconi (fabiomarconi) wrote :

Hello Peter
can you please run again apport-collect -p linux 708712
Thanks
Fabio

tags: removed: apport-collected
Peter Cooper (pcooper-gaitor) wrote :

Here is output of command

peter@sammy:~$ apport-collect -p linux 708712
ERROR: hook /usr/share/apport/package-hooks//source_linux-meta.py crashed:
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/apport/report.py", line 637, in add_hooks_info
    symb['add_info'](self, ui)
  File "/usr/share/apport/package-hooks//source_linux-meta.py", line 87, in add_info
    tags.append(regression_tags[regression[0]])
IndexError: list index out of range
peter@sammy:~$

tags: added: apport-collected
description: updated
Changed in linux (Ubuntu):
status: Incomplete → New
tags: added: kj-triage
Evan Dandrea (ev) wrote :

I can reproduce this on a Samsung N150 we have in Millbank. I'll attach logs shortly.

Changed in linux (Ubuntu):
status: New → Confirmed
turbolad (turbolad995) wrote :

I have the same message in the kern.log file on my Samsung NB30:
rtl819xE:No more TX desc@6, ring->idx = 0,idx = 0,52

This happens with the latest kernel and the wireless stops working after resuming from power saving.

Wayne Gratton (wgratton) wrote :

I get intermittent network with my Samsung N150. The wireless mostly connects (not always), but then will go very slow or stop transmitting or receiving traffic, then sometimes comes back and then stops and so on.

Here is the dmesg log:

[ 3471.004661] Scan in 40M, force to 20M first:3, 1
[ 3472.324097] Scan in 20M, back to 40M
[ 3484.491372] LPS leave: notify AP we are awaked ++++++++++ SendNullFunctionData
[ 3544.702948] LPS leave: notify AP we are awaked ++++++++++ SendNullFunctionData
[ 3591.006906] LPS leave: notify AP we are awaked ++++++++++ SendNullFunctionData
[ 3591.007231] Scan in 40M, force to 20M first:3, 1
[ 3592.328121] Scan in 20M, back to 40M
[ 3638.916578] ===>u4bAcParam:a42b, ===>u4bAcParam:a42b, LPS leave: notify AP we are awaked ++++++++++ SendNullFunctionData
[ 3711.010250] Scan in 40M, force to 20M first:3, 1
[ 3712.328064] Scan in 20M, back to 40M
[ 3730.716383] ====================>rx ADDBAREQ from :00:1c:10:fc:3e:e9
[ 3730.716400] =====>to send ADDBARSP

Peter Cooper (pcooper-gaitor) wrote :

Yes. I am getting the same problem as Wayne now.

Graeme Hewson (ghewson) wrote :

I'm seeing this problem too with Natty Beta 1 with the latest updates. Sometimes it works after a cold boot, sometimes not.

After one cold boot I saw these messages in dmesg, which I'm not sure have been mentioned previously:

rtl819xE:Nic is disabled! Can't tx packet len=82 qidx=6!!!
and
rtl819xE:Download Firmware: Put code fail!
rtl819xE:ERR in CPUcheck_maincodeok_turnonCPU()
rtl819xE:ERR in init_firmware()
rtl819xE:ERR!!! NicIFEnableNIC(): initialization is failed!

Another problem is that the driver doesn't see channels 12 or 13, though I'm in the UK and it should see them. There are several APs around here all sending "GB " in their beacon frames. Dmesg includes these messages:

cfg80211: World regulatory domain updated:
cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211: (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
cfg80211: (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
cfg80211: (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211: (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)

The Voria driver works fine with channel 13 on Maverick, but it's not yet available for Natty.

I'm attaching the full output from dmesg.

tatsuno (carlos-troncoso) wrote :

I have this problem as well. I can upload logs if you wish.

Natty 64 bits, Samsung N150.

turbolad (turbolad995) wrote :

The problem is still here. The only way to stop the log files being flooded with:
"rtl819xE:No more TX desc@6, ring->idx = 0,idx = 0,52"
is to use NDISwrapper and install the Window XP driver in NDISwrapper.

I have Lubuntu 11.10 32-bit installed on my Samsung NB30 and I had a "kernel panic" after install because of the buggy Realtek rtl819xE WLAN driver!

This bug has existed for a long time now. I hope it can be fixed.

Richard Dawe (richdawe) wrote :

This problem is affecting my N150 too.

Rather than rebooting, I can get the wireless working by removing and reinserting the driver until it can connect. Run the following as root:

modprobe -r r8192e_pci; modprobe r8192e_pci

If it doesn't connect, check the network status in the bar at the top of the screen. If it says "device not connected", re-run the commands. Repeat until it connects. It seems to take 2-3 times on average for me.

Richard Dawe (richdawe) wrote :

In comment #19, I should have also said that I'm running 11.10 (Oneiric Ocelot).

John Rooney (john-rooney) wrote :
Download full text (8.3 KiB)

Hi

I also have the bug in same N150 configuration running 11.10 (Oneiric
Ocelot). I did find the following link to a possible 'workaround'
(although I am not confident enough to implement change in case
it has knock on effects) :-
http://www.kickenhardware.net/showthread.php?19337-Fix-for-wireless-
on-Samsung-N150-netbook

Thought I would leave note in case it is of value to whoever is
looking into bug.

John

On 16 Oct 2011, at 10:31, Richard Dawe wrote:

> In comment #19, I should have also said that I'm running 11.10
> (Oneiric
> Ocelot).
>
> --
> You received this bug notification because you are subscribed to
> the bug
> report.
> https://bugs.launchpad.net/bugs/708712
>
> Title:
> Wireless Card RTL819Xe on a Samsung N150 netbook
>
> Status in NULL Project:
> Invalid
> Status in “linux” package in Ubuntu:
> Confirmed
>
> Bug description:
> This card works intermittently and follows a set sequence.
>
> 1. On 1st boot the card comes up as disabled.
> 2. On second boot the card comes up as enabled but will not
> connect to the wireless network, although it can see the network.
> 3. On third boot the card works O.K.
>
> Here is the output of dmesg on first Boot.
>
> =========================================
> [ 22.929131] rtl819xE 0000:05:00.0: PCI INT A -> GSI 16 (level,
> low) -> IRQ 16
> [ 22.929149] rtl819xE 0000:05:00.0: setting latency timer to 64
> [ 23.000709] WARNING: at /build/buildd/linux-2.6.37/include/
> linux/netdevice.h:1557 rtl8192_pci_probe+0x2eb/0x3b9 [r8192e_pci]()
> [ 23.000842] [<f8648679>] ? rtl8192_pci_probe+0x2eb/0x3b9
> [r8192e_pci]
> [ 23.000870] [<f8648679>] ? rtl8192_pci_probe+0x2eb/0x3b9
> [r8192e_pci]
> [ 23.000912] [<f8648679>] rtl8192_pci_probe+0x2eb/0x3b9
> [r8192e_pci]
> [ 23.001158] [<f83390a3>] rtl8192_pci_module_init+0xa3/0xb4
> [r8192e_pci]
> [ 23.001197] [<f8339000>] ? rtl8192_pci_module_init+0x0/0xb4
> [r8192e_pci]
> [ 23.717668] rtllib_crypt: registered algorithm 'NULL'
> [ 23.717678] rtllib_crypt: registered algorithm 'TKIP'
> [ 23.717685] rtllib_crypt: registered algorithm 'CCMP'
> [ 23.717691] rtllib_crypt: registered algorithm 'WEP'
> [ 24.808336] rtl819xE:ERR in CPUcheck_firmware_ready()
> [ 24.808349] rtl819xE:ERR in init_firmware()
> [ 24.808359] rtl819xE:ERR!!! _rtl8192_up(): initialization is
> failed!
>
> ===================================================
>
> Here is output of dmesg on Second boot
>
> =====================================================
> [ 22.250813] rtl819xE 0000:05:00.0: PCI INT A -> GSI 16 (level,
> low) -> IRQ 16
> [ 22.250831] rtl819xE 0000:05:00.0: setting latency timer to 64
> [ 22.405211] WARNING: at /build/buildd/linux-2.6.37/include/
> linux/netdevice.h:1557 rtl8192_pci_probe+0x2eb/0x3b9 [r8192e_pci]()
> [ 22.405349] [<f8570679>] ? rtl8192_pci_probe+0x2eb/0x3b9
> [r8192e_pci]
> [ 22.405377] [<f8570679>] ? rtl8192_pci_probe+0x2eb/0x3b9
> [r8192e_pci]
> [ 22.405414] [<f8570679>] rtl8192_pci_probe+0x2eb/0x3b9
> [r8192e_pci]
> [ 22.405685] [<f82750a3>] rtl8192_pci_module_init+0xa3/0xb4
> [r8192e_pci]
> [ 22...

Read more...

Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the release candidate kernel versus the daily build. Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag(Only that one tag, please leave the others). This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

tags: added: needs-upstream-testing
John Rooney (john-rooney) wrote :
Download full text (8.5 KiB)

Hi Joseph

I am just back from a few days away but will start on this tomorrow.

John.

On 18 Oct 2011, at 21:34, Joseph Salisbury wrote:

> Would it be possible for you to test the latest upstream kernel? It
> will allow additional upstream developers to examine the issue.
> Refer to
> https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the release
> candidate kernel versus the daily build. Once you've tested the
> upstream kernel, please remove the 'needs-upstream-testing' tag(Only
> that one tag, please leave the others). This can be done by
> clicking on
> the yellow pencil icon next to the tag located at the bottom of the
> bug
> description and deleting the 'needs-upstream-testing' text. Please let
> us know your results.
>
> Thanks in advance.
>
> ** Tags added: needs-upstream-testing
>
> --
> You received this bug notification because you are subscribed to
> the bug
> report.
> https://bugs.launchpad.net/bugs/708712
>
> Title:
> Wireless Card RTL819Xe on a Samsung N150 netbook
>
> Status in NULL Project:
> Invalid
> Status in “linux” package in Ubuntu:
> Confirmed
>
> Bug description:
> This card works intermittently and follows a set sequence.
>
> 1. On 1st boot the card comes up as disabled.
> 2. On second boot the card comes up as enabled but will not
> connect to the wireless network, although it can see the network.
> 3. On third boot the card works O.K.
>
> Here is the output of dmesg on first Boot.
>
> =========================================
> [ 22.929131] rtl819xE 0000:05:00.0: PCI INT A -> GSI 16 (level,
> low) -> IRQ 16
> [ 22.929149] rtl819xE 0000:05:00.0: setting latency timer to 64
> [ 23.000709] WARNING: at /build/buildd/linux-2.6.37/include/
> linux/netdevice.h:1557 rtl8192_pci_probe+0x2eb/0x3b9 [r8192e_pci]()
> [ 23.000842] [<f8648679>] ? rtl8192_pci_probe+0x2eb/0x3b9
> [r8192e_pci]
> [ 23.000870] [<f8648679>] ? rtl8192_pci_probe+0x2eb/0x3b9
> [r8192e_pci]
> [ 23.000912] [<f8648679>] rtl8192_pci_probe+0x2eb/0x3b9
> [r8192e_pci]
> [ 23.001158] [<f83390a3>] rtl8192_pci_module_init+0xa3/0xb4
> [r8192e_pci]
> [ 23.001197] [<f8339000>] ? rtl8192_pci_module_init+0x0/0xb4
> [r8192e_pci]
> [ 23.717668] rtllib_crypt: registered algorithm 'NULL'
> [ 23.717678] rtllib_crypt: registered algorithm 'TKIP'
> [ 23.717685] rtllib_crypt: registered algorithm 'CCMP'
> [ 23.717691] rtllib_crypt: registered algorithm 'WEP'
> [ 24.808336] rtl819xE:ERR in CPUcheck_firmware_ready()
> [ 24.808349] rtl819xE:ERR in init_firmware()
> [ 24.808359] rtl819xE:ERR!!! _rtl8192_up(): initialization is
> failed!
>
> ===================================================
>
> Here is output of dmesg on Second boot
>
> =====================================================
> [ 22.250813] rtl819xE 0000:05:00.0: PCI INT A -> GSI 16 (level,
> low) -> IRQ 16
> [ 22.250831] rtl819xE 0000:05:00.0: setting latency timer to 64
> [ 22.405211] WARNING: at /build/buildd/linux-2.6.37/include/
> linux/netdevice.h:1557 rtl8192_pci_probe+0x2eb/0x3b9 [r8192e_pci]()
> [ 22.405349] [<f8570679>] ? rtl8192_pci_probe+0x2eb/0x3b9
> [r81...

Read more...

John Rooney (john-rooney) wrote :

Hi Joseph

Tested this bug on 3.0.0-12-generic and on upstream 2011-10-24-oneiric. No great
difference between the two. Both seem to have lost the pattern of 2 fails followed
by successful connection.

My tests simply involved booting the machine, checking
wireless status, logging, shutting down. By success, I mean booted with wireless working
and fail, booted with device not ready and no wireless connection.

With 3.0.0-12-generic I had 2 fails followed by multiple successes.

With upstream release I had 3 fails, then single success, four fails, five successes
and 14th boot failed.

I have attached archive of log files from dmesg for all cases.

Note, I am, with both configurations, getting kernel panics causing the machine to
hang. This mostly occurs when the machine is shutting down. I'm not sure how to capture
the logs of these panics. If they are of interest you can let me know and perhaps suggest
method of capture and I'll happily follow up.

Also, the tag you asked me to change seems to have disappeared !!!

John

tags: removed: needs-upstream-testing
John Rooney (john-rooney) wrote :

Actually, checked again, found tag and deleted it. John

Curtis Hovey (sinzui) on 2011-11-11
no longer affects: null
Richard Dawe (richdawe) wrote :

I've attached a patch which changes some of the time-outs for enabling the CPU and uploading firmware to the wireless adapter. This seems to make things better on my N150, but doesn't 100% resolve the problem.

I've added more debug to the driver as well. Maybe that will help track down the issue.

It looks like the driver queues up a bunch of packets to send the firmware to a CPU on the wireless adapter. And then it polls the adapter to see if it's ready. I set the firmware-loading time-out to 10 seconds at one point, but it still seemed to fail. It seems like there is a race between firmware set-up and something else in the driver.

tags: added: patch
Richard Dawe (richdawe) wrote :

It looks like my patch in comment #26 may make things worse. After further testing, it seems that the driver works less frequently with the patch.

Richard Dawe (richdawe) wrote :

Linux kernel 3.2 features a new version of the driver from Realtek for the RTL891Xe. I'm testing the mainline build from <http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.2-precise/>.

Richard Dawe (richdawe) wrote :

The 3.2 kernel from comment #28 seems to be working a lot better. My wireless connects on log-in without any issues, and seems stable for 8+ hours. I've rebooted a few times over the past 2 days, and the wireless works without issues.

I downloaded the 3.2 kernerl from the link in comment #28, and installed it like this:

dpkg -i linux-headers-3.2.0-030200_3.2.0-030200.201201042035_all.deb linux-headers-3.2.0-030200-generic_3.2.0-030200.201201042035_i386.deb linux-image-3.2.0-030200-generic_3.2.0-030200.201201042035_i386.deb

During start-up, I saw some AppArmor errors, so I'm not convinced that AppArmor is working 100% correctly. Other than that, things seem to be working fine.

root@theroux:~# cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=11.10
DISTRIB_CODENAME=oneiric
DISTRIB_DESCRIPTION="Ubuntu 11.10"

root@theroux:~# uname -a
Linux theroux 3.2.0-030200-generic #201201042035 SMP Thu Jan 5 01:44:33 UTC 2012 i686 i686 i386 GNU/Linux

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: kernel-fixed-upstream-v3.2

Peter Cooper, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? Can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command in the development release from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux <replace-with-bug-number>

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please do not test the kernel in the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. As well, please comment on which kernel version specifically you tested.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream', and comment as to why specifically you were unable to test it.

Please let us know your results. Thanks in advance.

Helpful Bug Reporting Links:
https://help.ubuntu.com/community/ReportingBugs#Bug_Reporting_Etiquette
https://help.ubuntu.com/community/ReportingBugs#A3._Make_sure_the_bug_hasn.27t_already_been_reported
https://help.ubuntu.com/community/ReportingBugs#Adding_Apport_Debug_Information_to_an_Existing_Launchpad_Bug
https://help.ubuntu.com/community/ReportingBugs#Adding_Additional_Attachments_to_an_Existing_Launchpad_Bug

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Graeme Hewson (ghewson) wrote :

I confirm that wireless is working fine (including channel 13) with Ubuntu 12.04, as released, on the netbook model and wireless card reported.

tags: added: kernel-fixed-upstream
tags: removed: kernel-fixed-upstream
John Rooney (john-rooney) wrote :

I also can confirm that wireless is working fine on 12.04 with same netbook model.

John

Peter Cooper (pcooper-gaitor) wrote :

On 04/08/12 11:42, John Rooney wrote:
> I also can confirm that wireless is working fine on 12.04 with same
> netbook model.
>
> John
>
I can also confirm that all is OK now.

Peter

Peter Cooper, great! Did you need a backport to a release prior to Precise, or may we close this as Status Invalid?

Wayne Gratton (wgratton) wrote :

This also is working perfectly in Ubuntu 12.04

Tim Gardner (timg-tpi) wrote :

Based on various comments (and the fact that I have this HW as well), I marking the bug fix released.

Changed in linux (Ubuntu):
status: Incomplete → Fix Released
tags: added: needs-full-computer-model needs-kernel-logs
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers